# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_TWire Class Reference

`#include <PTopoDS_TWire.hxx>`

Inheritance diagram for PTopoDS_TWire:

[legend]

## Public Member Functions

Standard_EXPORT | PTopoDS_TWire ()
Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... .
| PTopoDS_TWire (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_TWire::PTopoDS_TWire | ( |  | ) |

PTopoDS_TWire::PTopoDS_TWire | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_TWire::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TShape.

Standard_EXPORT TopAbs_ShapeEnum PTopoDS_TWire::ShapeType | ( |  | ) | const`[virtual]`

| Implements PTopoDS_TShape.

The documentation for this class was generated from the following file:

- PTopoDS_TWire.hxx